Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.handler
Interface AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0

All Superinterfaces:
  AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4

All Known Implementing Classes:
  WSSecHeaderGeneratorWss4jImpl

Enclosing class:
  AbstractWsSecurityHandler

    public static interface AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0

extends AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2

Method Summary
`AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1` | `on(SOAPMessage message)` Deprecated.
`AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1` | `on(SOAPMessageContext ctx)`

Methods inherited from interface be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2
`withBinarySecurityToken`

Methods inherited from interface be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3
`withSAMLToken`

Methods inherited from interface be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4
`sign`

Method Detail

### on

    @Deprecated
    AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1 on(SOAPMessage message)
                                                           throws TechnicalConnectorException

  Deprecated.

  Throws:
    `TechnicalConnectorException`

### on

    AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1 on(SOAPMessageContext ctx)
                                                           throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.